
export https_proxy="https://squid.internal:3128/"

virtualenv --python=python3 ve3
. ve3/bin/activate
pip3 install jenkinsapi
pip3 install bson
pip3 install pymongo

rm -rf qakit
bzr branch $QAKIT_BRANCH qakit
cd qakit

python3 qakit/vis/retrieve_jenkins_results.py -v --mongo-host $MONGO_HOST --jenkins-url https://platform-qa-jenkins.ubuntu.com/ -p ust_

mkdir -p ${WORKSPACE}/results
rm -rf ${WORKSPACE}/results/*
python3 qakit/vis/visualize.py --mongo-host $MONGO_HOST -o ${WORKSPACE}/results/ust_rc-proposed_krillin_sanity.json ust_rc-proposed_krillin_sanity
python3 qakit/vis/visualize.py --mongo-host $MONGO_HOST -o ${WORKSPACE}/results/ust_rc-proposed_krillin_regression.json ust_rc-proposed_krillin_regression
python3 qakit/vis/visualize.py --mongo-host $MONGO_HOST -o ${WORKSPACE}/results/ust_rc-proposed_arale_sanity.json ust_rc-proposed_arale_sanity
python3 qakit/vis/visualize.py --mongo-host $MONGO_HOST -o ${WORKSPACE}/results/ust_rc-proposed_arale_regression.json ust_rc-proposed_arale_regression
python3 qakit/vis/visualize.py --mongo-host $MONGO_HOST -o ${WORKSPACE}/results/ust_rc_krillin_sanity.json ust_rc_krillin_sanity
python3 qakit/vis/visualize.py --mongo-host $MONGO_HOST -o ${WORKSPACE}/results/ust_rc_krillin_regression.json ust_rc_krillin_regression
python3 qakit/vis/visualize.py --mongo-host $MONGO_HOST -o ${WORKSPACE}/results/ust_rc_arale_sanity.json ust_rc_arale_sanity
python3 qakit/vis/visualize.py --mongo-host $MONGO_HOST -o ${WORKSPACE}/results/ust_rc_arale_regression.json ust_rc_arale_regression
python3 qakit/vis/visualize.py --mongo-host $MONGO_HOST -o ${WORKSPACE}/results/ust_rc-proposed_krillin_stable.json ust_rc-proposed_krillin_stable
python3 qakit/vis/visualize.py --mongo-host $MONGO_HOST -o ${WORKSPACE}/results/ust_rc-proposed_arale_stable.json ust_rc-proposed_arale_stable
python3 qakit/vis/visualize.py --mongo-host $MONGO_HOST -o ${WORKSPACE}/results/ust_rc-proposed_krillin_unstable.json ust_rc-proposed_krillin_unstable
python3 qakit/vis/visualize.py --mongo-host $MONGO_HOST -o ${WORKSPACE}/results/ust_rc-proposed_arale_unstable.json ust_rc-proposed_arale_unstable

deactivate

rsync -avz --delete --password-file $JENKINS_HOME/.secret/cranberry-rsync-password --ignore-times $WORKSPACE/results/* jenkaas-qa-sync@cranberry.canonical.com::jenkaas-qa-reports/vis

# also do a deployment
rsync -avz --delete --password-file $JENKINS_HOME/.secret/cranberry-rsync-password --ignore-times $WORKSPACE/qakit/qakit/vis/dashboard/* jenkaas-qa-sync@cranberry.canonical.com::jenkaas-qa-reports/vis
